#include <iostream>
using namespace std;
int main ()
{
    long N;
    cin>>N;
    int mas[N];
    int mas2[N];
    int br=0;
    for (int i=0; i<N; i++) cin>>mas[i];
    for (int i=0; i<N; i++) cin>>mas2[i];
    for (int i=0; i<N; i++)
    {
        for (int q=0; q<N; q++)
        {
            while(mas[i]==mas2[q])
            {
                if(mas[i-1]==mas2[q-1])br++;
                q++;
                i++;
            }
        }
    }
    cout<<N-br;
    return 0;
}
